import { CompressedValue, ContentCompressionPlugin } from "./ContentCompressionPlugin";
/**
 * The default compression plugin for the page content field.
 */
export declare class JsonpackContentCompressionPlugin extends ContentCompressionPlugin {
    constructor();
    canCompress(): boolean;
    canDecompress(value: CompressedValue): boolean;
    compress(value: any): Promise<CompressedValue>;
    decompress(value: CompressedValue): Promise<any>;
}
